;;; -------------------------------------------------------------
;;; Adding castellano dictionary to emacs+ispell
;;; Put together by Agustn Martn Domingo, from parts by 
;;; Julio Snchez and the Cyrillic HOWTO 
;;; -------------------------------------------------------------
;;; Useful only for emacs19. Entries castellano and castellano8 are 
;;; already included in ispell.el coming with emacs20. As a matter of fact,
;;; this script has no efect in emacs20, since it reads loaddefs.el
;;; -------------------------------------------------------------
;;; Any emacs-lisp guru overthere to fine-tune this script?
;;; -------------------------------------------------------------
;;; Aadiendo a emacs+ispell el diccionario castellano
;;; Inspirado en el original de Julio Snchez (jsanchez@gmv.es) para
;;; castellano
;;; -------------------------------------------------------------

(ispell-change-dictionary nil)

(setq spanish-entries
      '(
	("castellano"                      ; Spanish mode (TeX)
	 "[A-Z\301\311\315\323\332\334\321a-z\341\351\355\363\372\374\361]"
	 "[^A-Z\301\311\315\323\332\334\321a-z\341\351\355\363\372\374\361]"
	 "[---]" nil ("-B" "-d" "castellano") "~tex" iso-8859-1)
	("castellano8"                          ; 8 bit Spanish mode 
	 "[A-Z\301\311\315\323\332\334\321a-z\341\351\355\363\372\374\361]"
	 "[^A-Z\301\311\315\323\332\334\321a-z\341\351\355\363\372\374\361]"
	 "[---]" nil ("-B" "-d" "castellano") "~latin1" iso-8859-1)
	("castellano-plain-tex"                ; Spanish (plainTeX mode)
	 "[A-Z\301\311\315\323\332\334\321a-z\341\351\355\363\372\374\361]"
	 "[^A-Z\301\311\315\323\332\334\321a-z\341\351\355\363\372\374\361]"
	 "[---]" nil ("-B" "-d" "castellano") "~plainTeX" iso-8859-1)
	)
      )

(if (< emacs-major-version 20) ; For emacs >=20 the entries come from upstream
(setq ispell-dictionary-alist
	(append
	 ispell-dictionary-alist
	 spanish-entries)
	)
)

;;;
;;; Me tuve que ir al Cyrillic HOWTO para encontrar como hacer sto
;;; 
;;; We need this only for emacs <=19

(if (< emacs-major-version 20)
    (define-key-after ispell-menu-map [ispell-select-castellano8]
      '("Select Castellano8" . (lambda ()
				 (interactive)
				 (ispell-change-dictionary "castellano8")
				 )
	)
      'british))
(if (< emacs-major-version 20)
    (define-key-after ispell-menu-map [ispell-select-castellano]
      '("Select Castellano" . (lambda ()
				(interactive)
				(ispell-change-dictionary "castellano")
				)
	)
      'british))

;;; This updates ispell menu in emacs20. Do not work in emacs19 or xemacs21

(ispell-change-dictionary nil)
